import influxframework


def execute():
	install_apps = influxframework.get_installed_apps()
	if "influxerp_datev_uo" in install_apps or "influxerp_datev" in install_apps:
		return

	# doctypes
	influxframework.delete_doc("DocType", "DATEV Settings", ignore_missing=True, force=True)

	# reports
	influxframework.delete_doc("Report", "DATEV", ignore_missing=True, force=True)
